#! /bin/sh

cd ..
echo "Requires dylibbundler"

mkdir ./XBoard.app
mkdir ./XBoard.app/Contents
mkdir ./XBoard.app/Contents/MacOS
mkdir ./XBoard.app/Contents/Resources
mkdir ./XBoard.app/Contents/Resources/bin
mkdir ./XBoard.app/Contents/Resources/lib
mkdir ./XBoard.app/Contents/Resources/etc
mkdir ./XBoard.app/Contents/Resources/share
mkdir ./XBoard.app/Contents/Resources/etc/gtk-2.0
mkdir ./XBoard.app/Contents/Resources/etc/pango
mkdir ./XBoard.app/Contents/Resources/share/themes
mkdir ./XBoard.app/Contents/Resources/share/gtk-engines
mkdir ./XBoard.app/Contents/Resources/share/info
mkdir ./XBoard.app/Contents/Resources/share/man
mkdir ./XBoard.app/Contents/Resources/share/xboard
mkdir ./XBoard.app/Contents/Resources/share/xboard/textures
mkdir ./XBoard.app/Contents/Resources/share/xboard/textures/textures
cp ./mac-app/data/Info.plist ./XBoard.app/Contents/
cp ./mac-app/data/PkgInfo ./XBoard.app/Contents/
cp ./mac-app/data/XBoard.gtklauncher ./XBoard.app/Contents/MacOS/XBoard
cp ./xboard ./XBoard.app/Contents/MacOS/xboard-bin
cp -R ./mac-app/data/en.lproj ./XBoard.app/Contents/Resources
cp ./mac-app/data/icons/fen.icns ./XBoard.app/Contents/Resources
cp ./mac-app/data/icons/pgn.icns ./XBoard.app/Contents/Resources
cp ./mac-app/data/icons/trn.icns ./XBoard.app/Contents/Resources
cp ./mac-app/data/icons/xop.icns ./XBoard.app/Contents/Resources
cp ./mac-app/data/icons/XBoard_b.icns ./XBoard.app/Contents/Resources
cp ./mac-app/data/icons/XBoard_w.icns ./XBoard.app/Contents/Resources
echo 'cd "${0%/*}"' > ./XBoard.app/Contents/Resources/bin/man.command
echo 'man ../share/man/xboard.man' >> ./XBoard.app/Contents/Resources/bin/man.command
echo 'cd "${0%/*}"' > ./XBoard.app/Contents/Resources/bin/info.command
echo 'info -d ../share/info -f xboard.info' >> ./XBoard.app/Contents/Resources/bin/info.command
chmod +x ./Xboard.app/Contents/Resources/bin/man.command
chmod +x ./Xboard.app/Contents/Resources/bin/info.command
cp ./mac-app/data/osx.xboard.conf ./XBoard.app/Contents/Resources/etc/xboard.conf
sed 's?/opt/local/lib?@executable_path/../Resources/lib?' </opt/local/etc/gtk-2.0/gdk-pixbuf.loaders >./XBoard.app/Contents/Resources/etc/gtk-2.0/gdk-pixbuf.loaders
sed 's?/opt/local/lib?@executable_path/../Resources/lib?' </opt/local/etc/gtk-2.0/gtk.immodules >./XBoard.app/Contents/Resources/etc/gtk-2.0/gtk.immodules
cp /opt/local/etc/gtk-2.0/im-multipress.conf ./XBoard.app/Contents/Resources/etc/gtk-2.0
echo '# Include OSX-theme path to fix plugins not applying theme' > ./XBoard.app/Contents/Resources/etc/gtk-2.0/gtkrc
echo 'include "../../share/themes/OSX-theme/gtk-2.0/gtkrc"' >> ./XBoard.app/Contents/Resources/etc/gtk-2.0/gtkrc
echo '# Set default theme to OSX-theme' >> ./XBoard.app/Contents/Resources/etc/gtk-2.0/gtkrc
echo 'gtk-theme-name = "OSX-theme"' >> ./XBoard.app/Contents/Resources/etc/gtk-2.0/gtkrc
echo >> ./XBoard.app/Contents/Resources/etc/gtk-2.0/gtkrc
echo '# Include Mac path to fix plugins not applying key-bindings' >> ./XBoard.app/Contents/Resources/etc/gtk-2.0/gtkrc
echo 'include "../../share/themes/Mac/gtk-2.0-key/gtkrc"' >> ./XBoard.app/Contents/Resources/etc/gtk-2.0/gtkrc
echo '# Set default key-bindings to Mac' >> ./XBoard.app/Contents/Resources/etc/gtk-2.0/gtkrc
echo 'gtk-key-theme-name = "Mac"' >> ./XBoard.app/Contents/Resources/etc/gtk-2.0/gtkrc
echo '# Pango Modules file' > ./XBoard.app/Contents/Resources/etc/pango/pango.modules
echo '# Automatically generated file, do not edit' >> ./XBoard.app/Contents/Resources/etc/pango/pango.modules
echo '#' >> ./XBoard.app/Contents/Resources/etc/pango/pango.modules
echo '#' >> ./XBoard.app/Contents/Resources/etc/pango/pango.modules
echo '[pango]' > ./XBoard.app/Contents/Resources/etc/pango/pangorc
cp -R /opt/local/lib/gtk-2.0 ./XBoard.app/Contents/Resources/lib
cp -R /opt/local/lib/gdk-pixbuf-2.0 ./XBoard.app/Contents/Resources/lib
cp /opt/local/share/gtk-engines/murrine.xml ./XBoard.app/Contents/Resources/share/gtk-engines
cp ./xboard.info ./XBoard.app/Contents/Resources/share/info
cp ./xboard.man ./XBoard.app/Contents/Resources/share/man
cp -R ./mac-app/data/OSX-theme ./XBoard.app/Contents/Resources/share/themes
cp -R /opt/local/share/themes/Mac ./XBoard.app/Contents/Resources/share/themes
cp -R ./sounds ./XBoard.app/Contents/Resources/share/xboard
cp -R ./svg ./XBoard.app/Contents/Resources/share/xboard/textures/default
cp ./png/wood_d.png ./XBoard.app/Contents/Resources/share/xboard/textures/textures
cp ./png/wood_l.png ./XBoard.app/Contents/Resources/share/xboard/textures/textures
cp ./png/marble_d.png ./XBoard.app/Contents/Resources/share/xboard/textures/textures
cp ./png/marble_l.png ./XBoard.app/Contents/Resources/share/xboard/textures/textures
cp ./png/hatch.png ./XBoard.app/Contents/Resources/share/xboard/textures/textures
cp ./png/xqboard.png ./XBoard.app/Contents/Resources/share/xboard/textures/textures
cp ./png/xqwood.png ./XBoard.app/Contents/Resources/share/xboard/textures/textures
dylibbundler -of -b -x ./XBoard.app/Contents/MacOS/xboard-bin -d ./XBoard.app/Contents/Resources/lib -p @executable_path/../Resources/lib
dylibbundler -of -b -x ./XBoard.app/Contents/Resources/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.so -d ./XBoard.app/Contents/Resources/lib -p @executable_path/../Resources/lib
dylibbundler -of -b -x ./XBoard.app/Contents/Resources/lib/gtk-2.0/2.10.0/immodules/im-quartz.so -d ./XBoard.app/Contents/Resources/lib -p @executable_path/../Resources/lib
dylibbundler -of -b -x ./XBoard.app/Contents/Resources/lib/gtk-2.0/2.10.0/engines/libpixmap.so -d ./XBoard.app/Contents/Resources/lib -p @executable_path/../Resources/lib
dylibbundler -of -b -x ./XBoard.app/Contents/Resources/lib/gtk-2.0/2.10.0/engines/libmurrine.so -d ./XBoard.app/Contents/Resources/lib -p @executable_path/../Resources/lib
find . -name '*.a' -print0 | xargs -0 rm
rm -r ./Xboard.app/Contents/Resources/lib/gtk-2.0/include